Package org.bukkit

# Enum Class HeightMap

java.lang.Object
java.lang.Enum<HeightMap>
org.bukkit.HeightMap

All Implemented Interfaces:
  `Serializable`, `Comparable<HeightMap>`, `Constable`

public enum HeightMap extends Enum<HeightMap>
Further information regarding heightmaps.

See Also:
  - Gamepedia Chunk Format

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MOTION_BLOCKING`
The highest block that blocks motion or contains a fluid.
`MOTION_BLOCKING_NO_LEAVES`
The highest block that blocks motion or contains a fluid or is in the `Tag.LEAVES`.
`OCEAN_FLOOR`
The highest non-air block, solid block.
`OCEAN_FLOOR_WG`
The highest block that is neither air nor contains a fluid, for worldgen.
`WORLD_SURFACE`
The highest non-air block.
`WORLD_SURFACE_WG`
The highest non-air block, for worldgen.

## Method Summary

Modifier and Type
Method
Description
`static HeightMap`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HeightMap[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MOTION_BLOCKING

public static final HeightMap MOTION_BLOCKING
The highest block that blocks motion or contains a fluid.

### MOTION_BLOCKING_NO_LEAVES

public static final HeightMap MOTION_BLOCKING_NO_LEAVES
The highest block that blocks motion or contains a fluid or is in the `Tag.LEAVES`.

### OCEAN_FLOOR

public static final HeightMap OCEAN_FLOOR
The highest non-air block, solid block.

### OCEAN_FLOOR_WG

public static final HeightMap OCEAN_FLOOR_WG
The highest block that is neither air nor contains a fluid, for worldgen.

### WORLD_SURFACE

public static final HeightMap WORLD_SURFACE
The highest non-air block.

### WORLD_SURFACE_WG

public static final HeightMap WORLD_SURFACE_WG
The highest non-air block, for worldgen.

## Method Details

### values

public static HeightMap[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HeightMap valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null